#pragma once

#include <windows.h>
#include "imgui/imgui.h"
#include "instr_logger.h"

// Initialize ImGui for the settings dialog
bool InitImGuiSettingsDialog();

// Shutdown ImGui
void ShutdownImGuiSettingsDialog();

// Show the settings dialog using ImGui
void ShowImGuiSettingsDialog(HWND hWndParent);

// Show the help window using ImGui
void ShowImGuiHelpWindow(HWND hWndParent);

// Render a frame of the settings dialog
void RenderImGuiSettingsDialog();

// Render a frame of the help window
void RenderImGuiHelpWindow();

// Process Win32 messages for ImGui
extern IMGUI_IMPL_API LRESULT ImGui_ImplWin32_WndProcHandler(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
